[tool.poetry]
name = "de4l-stop-detection"
version = "0.0.1"
description = "An algorithm by Primault, V. (2018) to detect stay points in geographical routes"
repository = "https://git.informatik.uni-leipzig.de/scads/de4l/privacy/de4l-stop-detection"
authors = ["Maja Schneider"]
license = "MIT"
readme = "README.md"
classifiers = [
    "Programming Language :: Python :: 3",
    "License :: OSI Approved :: MIT License",
    "Operating System :: OS Independent"
]

[tool.poetry.dependencies]
python = ">=3.8,<3.11"
pandas = "^1.3.4"
numpy = "^1.21.2"
torch = { version = "~1.9.0", optional = true }
de4l_geodata = { git = "https://git.informatik.uni-leipzig.de/scads/de4l/privacy/de4l-geodata.git", branch = "main" }

[tool.poetry.dev-dependencies]
flake8 = "^4.0.1"
pylint = "^2.12.2"

[tool.poetry.extras]
torch = ["torch"]

[tool.poetry.urls]
"Bug Tracker" = "https://git.informatik.uni-leipzig.de/scads/de4l/privacy/de4l-stop-detection/-/issues"
"Source" = "https://git.informatik.uni-leipzig.de/scads/de4l/privacy/de4l-stop-detection"

[build-system]
requires = ["poetry-core>=1.0.0"]
build-backend = "poetry.core.masonry.api"
